(module loglevel *
(import chicken scheme)
(use srfi-1)


;; Expected behavior:
;; > (err-puts "foo" 42 "!")
;; foo42!
;; "!"

(define (port-puts output-port . message)
  (let* ((output
          (with-output-to-string
            (lambda ()
              (map display message)))))
    (display (string-chomp output) output-port)
    (newline output-port)
    (car (last-pair message))))

(define (err-puts . message)
  (apply port-puts (current-error-port) message))
)
